none
Cannot create a Silverlight Application using Javascript

    Question

  • When I open Expression Blend 2 December Preview, and make a new project I have no option to create a "Silverlight Application (javascript)." What do i need to install to make this option work?

    Thanks for any help on this issue,

     Mike
     

    Thursday, January 17, 2008 10:14 PM

Answers

  •  Yes. That's what's puzzling me. I can create a WPF application, a WPF Control Library, a Silverlight 1.0 Site (which I will be working on soon), and a Silverlight Application (.NET "Orcas").

    Silverlight 1.0 is what you need to create Silverlight applications using JavaScript, Silverlight 1.1 is for using VB.NET/C#

    Saturday, January 19, 2008 2:42 PM

All replies

  • Hi you need to Install Silverlight 1.0 SDK, I think you have already installed Silverlight plugin but not the SDK  

    Friday, January 18, 2008 11:16 AM
  •  I had it installed. I will try to uninstall it and post my results. If it works I will mark this topic as answered. If not could you please list everything that I would need to download to make silverlight applications, and I will cross-check your list with what I have installed on my computer.

     

    Again thanks very much,

     

    Mike 

     

    EDIT: Didn't work. I also tried uninstalling Blend 2, but that didn't help either. 

    Friday, January 18, 2008 12:17 PM
  • For Siverlight 1.0 you don't need much to work on it just your Blend 2 December Preview and Silverlight 1.0 SDK. Can you create WPF Applications with it tho?

    Saturday, January 19, 2008 5:57 AM
  •  Yes. That's what's puzzling me. I can create a WPF application, a WPF Control Library, a Silverlight 1.0 Site (which I will be working on soon), and a Silverlight Application (.NET "Orcas").

    Saturday, January 19, 2008 2:39 PM
  •  Yes. That's what's puzzling me. I can create a WPF application, a WPF Control Library, a Silverlight 1.0 Site (which I will be working on soon), and a Silverlight Application (.NET "Orcas").

    Silverlight 1.0 is what you need to create Silverlight applications using JavaScript, Silverlight 1.1 is for using VB.NET/C#

    Saturday, January 19, 2008 2:42 PM
  • hi, even i have the same problem.

    i have installed blend, silverlight 1.0 sdk and vs .net 2005. i can create javascript template using vs .net 2005 but when i open the same project in Blend it says invalid xaml file. 

    what shall i do ??? please suggest...

     

    regrds,

    Prashant

    Tuesday, January 29, 2008 2:05 AM
  • Hi,

    You have to install Visual Studio Service Pack 1.0, to see the Silverlight Javascript Template in VS 2005. Actually, if Visual Studio SP1 is not installed on your comp. silverlight sdk asks for VS SP1. You can download this Visual Studio SP1 from Microsoft site.

    Steps to install are, since you already installed the Silverlight SDK, first uninstall the silverlight sdk, then download the VS Service Pack1 n install it, after this, then install Silverlight SDK. After doing this you should to seeing the Silverlight Template in Visual Studio 2005.

    Arun Solomon P
    PCI, Hyderabad

    Monday, February 11, 2008 6:25 PM